Upstream information

CVE-2023-49284 at MITRE

Description

fish is a smart and user-friendly command line shell for macOS, Linux, and the rest of the family. fish shell uses certain Unicode non-characters internally for marking wildcards and expansions. It will incorrectly allow these markers to be read on command substitution output, rather than transforming them into a safe internal representation. While this may cause unexpected behavior with direct input (for example, echo \UFDD2HOME has the same output as echo $HOME), this may become a minor security problem if the output is being fed from an external program into a command substitution where this output may not be expected. This design flaw was introduced in very early versions of fish, predating the version control system, and is thought to be present in every version of fish released in the last 15 years or more, although with different characters. Code execution does not appear to be possible, but denial of service (through large brace expansion) or information disclosure (such as variable expansion) is potentially possible under certain circumstances. fish shell 3.6.2 has been released to correct this issue. Users are advised to upgrade. There are no known workarounds for this vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.6 4.4
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1217808 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 15 SP4
  • fish >= 3.3.1-bp154.3.3.1
  • fish-devel >= 3.3.1-bp154.3.3.1
Patchnames:
openSUSE-2023-404
SUSE Package Hub 15 SP5
  • fish >= 3.3.1-bp155.4.3.1
  • fish-devel >= 3.3.1-bp155.4.3.1
Patchnames:
openSUSE-2023-405
openSUSE Leap 15.4
  • fish >= 3.3.1-bp154.3.3.1
  • fish-devel >= 3.3.1-bp154.3.3.1
Patchnames:
openSUSE-2023-404
openSUSE Leap 15.5
  • fish >= 3.3.1-bp155.4.3.1
  • fish-devel >= 3.3.1-bp155.4.3.1
Patchnames:
openSUSE-2023-405
openSUSE Tumbleweed
  • fish >= 3.6.4-1.1
  • fish-devel >= 3.6.4-1.1
Patchnames:
openSUSE Tumbleweed GA fish-3.6.4-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 fish Unsupported
SUSE Package Hub 15 SP5 fish Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 fish Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS fish Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS fish Unsupported
SUSE Linux Enterprise Module for Containers 15 SP3 fish Unsupported
SUSE Linux Enterprise Server 15 SP3 fish Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS fish Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 fish Unsupported
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Server 15 SP3-BCL fish Unsupported
SUSE Manager Proxy 4.2 fish Unsupported
SUSE Manager Retail Branch Server 4.2 fish Unsupported
SUSE Manager Server 4.2 fish Unsupported
SUSE Package Hub 15 SP4 fish Released


SUSE Timeline for this CVE

CVE page created: Tue Dec 5 03:00:19 2023
CVE page last modified: Fri May 31 16:40:38 2024